import { OnInit } from "@angular/core";
import StiRectangleGeometryLayout from "../../../../computed/StiRectangleGeometryLayout";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
import * as i0 from "@angular/core";
export declare class StiLabelAlignmentEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    render: StiRectangleGeometryLayout;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, render: StiRectangleGeometryLayout, loc: StiLocalizationService);
    hasName: boolean;
    required: boolean;
    prop: StiEditorProperty;
    get hasVerticalAlignment(): boolean;
    get obj(): any;
    get verticalAlignment(): any;
    set verticalAlignment(value: any);
    get alignment(): any;
    set alignment(value: any);
    get isTopAlignment(): boolean;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiLabelAlignmentEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiLabelAlignmentEditorComponent, "sti-label-alignment-editor", never, { "property": { "alias": "property"; "required": false; }; }, {}, never, never, false, never>;
}
